// COLORS
$main-bg-color: #ECECEC;
$text-color: #7A7A7A;
$accent-color: rgb(0, 150, 136);
$warning-color: #E75753;


// VARIABLES
$left-sidenav-width: 110px;
$widget-height: 310px;
$font-weight-bold: 600;
$font-size-large: 22px;


// LAYOUT
body {
  color: $text-color;
}

.toolbar-button {
  min-width: 20px;
}

.share-label {
  vert-align: middle;
  margin-left: 10px;
}

.page-content {
  background-color: $main-bg-color;
}

.widget-progress {
  width: 95% !important;
  margin-left: 10px;
}


// UTILS
.capitalize {
  text-transform: capitalize;
}

.img-circle {
  height: 50px;
  border-radius: 50%;
  margin: 0 10px;
}


// COMPONENTS
.messages {
  position: relative;

  &-content {
    height: 100vh;
  }
}

.notifications-label {
  width: 16px;
  height: 16px;
  line-height: 16px;
  text-align: center;
  border-radius: 50%;
  position: absolute;
  font-size: 12px;
  top: 2px;
  right: 2px;
  background-color: $warning-color;
}

// panel-widget
.panel-widget {
  background-color: white;

  &-toolbar {
    box-shadow: none;
    margin: 0;
  }

  &-tittle {
    color: $text-color;
  }
}

.options {
  -webkit-transition:all linear 0.5s;
  transition:all linear 0.5s;
}

.options.ng-hide {
  opacity:0;
}

.fixed-height-widget {
  height: $widget-height;
}

// charts
.donut-chart-title{
  text-align: center;
}

.custom-tooltip {
  font-size: $font-size-large;
  color: $text-color;
  text-align: center;
}


// OVERRIDES
// angular material overrides
md-radio-group {
  border: none;
}

md-icon {
  height: auto;
}

md-sidenav.md-locked-open.md-sidenav-left {
  width: $left-sidenav-width;
  min-width: $left-sidenav-width;
  max-width: $left-sidenav-width;
}

a.md-button.md-warn.md-raised, a.md-button.md-warn.md-fab, .md-button.md-warn.md-raised, .md-button.md-warn.md-fab {
  color: white;
}

md-radio-button.md-accent.md-checked .md-label span {
  color: $accent-color;
}

.md-toolbar-tools h1 {
  font-size: $font-size-large;
}


md-backdrop.md-sidenav-backdrop {
  position: fixed;
}

// libs overrides
.material-icons {
  vertical-align: middle;
}

.material-icons.md-18 { font-size: 18px; }
.material-icons.md-24 { font-size: 24px; }
.material-icons.md-36 { font-size: 36px; }
.material-icons.md-48 { font-size: 48px; }

.nvd3.nv-pie .nv-pie-title {
  fill: rgb(68, 68, 68);
  font-weight: $font-weight-bold;
  font-size: $font-size-large !important;
}

.nvtooltip {
  background-color: transparent;
  border: none;
  font-weight: $font-weight-bold;
}

.orange .md-bar2 {
  background-color: orange;
}

.orange .md-container {
  background-color: rgb(255, 236, 201)
}


//AV

.red{
  color: red !important;
}

.green{
  color: green !important;
}

.grey{
  color: grey !important;
}


.ondemand_attivo{
  outline: 5px solid #ff7f50 !important;
}

.ondemand_spento{
  outline: 5px dotted #ff7f50 !important;
}

.selected {
  background-color: #D5D6DE;
}
